# qmake-File for Server

TEMPLATE      = app
QT           -= gui
QT           *= network
CONFIG       -= release debug_and_release release
CONFIG       *= qt console warn_on release
TARGET        = engine

HEADERS       = teamchange.hh teamchangelist.hh playeraction.hh playeractionlist.hh gameengine.hh
SOURCES       = playeractionlist.cpp gameengine.cpp main.cpp
TRANSLATIONS  = engine_de_DE.ts

INCLUDEPATH   = . \
                ../libtrace   \
                ../libplayer  \
                ../libparser  \
                ../libgamemap \
                ../libclient  \
                ../libserver
                
LIBS         += -L../libtrace   \
                -L../libplayer  \
                -L../libparser  \
                -L../libgamemap \
                -L../libclient  \
                -L../libserver  \
                -lserver -lclient -lgamemap -lparser -lplayer -ltrace

# install
target.path = .
sources.files = $$SOURCES $$HEADERS
sources.path = .
INSTALLS += target sources
